package domain


type AlibabaWdkOrderRefundGetOrderSyncRefundListResult struct {
    /*
        下一页     */
    NextIndex  *int64 `json:"next_index,omitempty" `

    /*
        退款单具体详情     */
    Orders  *[]AlibabaWdkOrderRefundGetOrderSyncRefundDto `json:"orders,omitempty" `

    /*
        结果code     */
    ReturnCode  *string `json:"return_code,omitempty" `

    /*
        返回的信息     */
    ReturnMsg  *string `json:"return_msg,omitempty" `

    /*
        是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        总数量     */
    TotalNumber  *int64 `json:"total_number,omitempty" `

}

func (s *AlibabaWdkOrderRefundGetOrderSyncRefundListResult) SetNextIndex(v int64) *AlibabaWdkOrderRefundGetOrderSyncRefundListResult {
    s.NextIndex = &v
    return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundListResult) SetOrders(v []AlibabaWdkOrderRefundGetOrderSyncRefundDto) *AlibabaWdkOrderRefundGetOrderSyncRefundListResult {
    s.Orders = &v
    return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundListResult) SetReturnCode(v string) *AlibabaWdkOrderRefundGetOrderSyncRefundListResult {
    s.ReturnCode = &v
    return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundListResult) SetReturnMsg(v string) *AlibabaWdkOrderRefundGetOrderSyncRefundListResult {
    s.ReturnMsg = &v
    return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundListResult) SetSuccess(v bool) *AlibabaWdkOrderRefundGetOrderSyncRefundListResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkOrderRefundGetOrderSyncRefundListResult) SetTotalNumber(v int64) *AlibabaWdkOrderRefundGetOrderSyncRefundListResult {
    s.TotalNumber = &v
    return s
}
